#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int print24s(const unchar *str,int mode)
/* 拡張属性対応 ２４ドット文字列表示 */
{
unsint c,cc=0xffff;
int col;
_FNTBUF fnt;
	/* 途中で色が変わることはない */
	col=EX_COLOR(-1);
	while ((c=*str++)!=0) {
		if (c<' ') { /* コントロールコード */
			/* 0x0a -> 0x0d,0a,0a */
			if (c=='\n') { /* 0x0a */
				if (mode) B_PUTC(0x0d);
				B_PUTC(c);
			}
			B_PUTC(c);
		} else {
			if (check_kanji1(c)) c=(c<<8)|*str++;
			if (c!=cc) {
				cc=c;
				FNTGET(12,c,&fnt);
				fontset2(&fnt,col);
			}
			FONTPUT(&fnt);
		}
	}
	return(B_LOCATE(-1,-1));
}
